Opened 9 years ago

Last modified 5 years ago

#5432 new Bug report

Simultaneous connections error

Reported by: KathrynBassett Owned by:
Priority: normal Component: FileZilla Client
Keywords: Simultaneous connections maximum number of clients Cc: h.danielsson@…
Component version: Operating system type: Windows
Operating system version: Vista SP2 32bit, Ubuntu 10.04 64bit

Description

FileZilla Client Version: 3.3.3 Build date: 2010-06-13. I did a search on Simultaneous connections and found a couple old tickets that gave little info and said they were fixed. However, I had an older version (don't recall how old) that did not have this problem but I'm now having it with the new update which I downloaded today. To best describe my problem, below is a log of my exchange with support with my host. Unfortunately, I cannot attach the log file as logging was not on by default as I discovered when I hunted trying to find the location of the log. I've changed that setting so that I'll be able to provide a log in the future. So the snippet will have to do for now.

By the way, I will be posting a couple of feature requests based on my experience with this problem (haven't yet looked to see if already requested). 1) Under menu item Transfer, you have Process Queue but no Stop Process and no Erase Queue. Both are needed. 2) A way to synchronize the contents of a local folder with the contents of a remote folder.

I've gone back and forth with the TicketSubmissionGuide and my ticket, and hope that I have followed all the guidelines correctly. If I've left something out, please ask.

Jul 01 2010 17:18
Q: Kathryn at Gwens
I'm using the most current version of filezilla to do some uploads to http://babcockancestry.com/SS2-o/exhibits/. I've been successful in getting some uploaded but not all. Here is a typical part of the error log. Note, I'm the only client connected, and the password is right (or I wouldn't be able to get some of them uploaded), so what's going on?

Error: Critical error
Error: Could not connect to server
Status: Delaying connection for 5 seconds due to previously failed connection attempt...
Response: 530 Sorry, the maximum number of clients (10) for this user are already connected.
Error: Critical error
Error: Could not connect to server
Status: Delaying connection for 5 seconds due to previously failed connection attempt...
Status: Resolving address of babcockancestry.com
Status: Connecting to 216.35.196.47:21...
Status: Resolving address of babcockancestry.com
Status: Connecting to 216.35.196.47:21...
Status: Connection established, waiting for welcome message...
Status: Connection established, waiting for welcome message...
Response: 220 216.35.196.47 FTP server ready
Command: USER babcock
Response: 220 216.35.196.47 FTP server ready
Command: USER babcock
Response: 331 Password required for babcock
Command: PASS
Response: 331 Password required for babcock
Command: PASS

Response: 530 Sorry, the maximum number of clients (10) for this user are already connected.
Error: Critical error
Error: Could not connect to server
Status: Delaying connection for 5 seconds due to previously failed connection attempt...
Response: 530 Sorry, the maximum number of clients (10) for this user are already connected.

Jul 01 2010 17:23
A: Support24
Hello,

Please make sure that you set your ftp client to operate in passive mode (PASV) and that it is limited to a maximum of less than 5 concurrent connections. The log shows that the client manages to reach the maximum number of concurrent ftp connections. We have killed the current active connections for you. Make sure that you update the settings of your FTP Client prior to uploading new files.

Best regards,
Support

Jul 01 2010 17:39
Q: Kathryn at Gwens
"Limit number of simultaneous connections" has checkmark, and "Maximum number of connections" was set to 5 and I've changed it to 4. It already had it set for PASV. I've totally stopped the ftp and Filezilla and started over, double checking the above settings. Now I can't get any further than this:

Response: 331 Password required for babcock
Command: PASS
Response: 530 Sorry, the maximum number of clients (10) for this user are already connected.
Error: Critical error
Error: Could not connect to server

Jul 01 2010 17:41
A: Support24
Hello,

You had reached the maximum number of connections again. We have killed them for you again.

Best regards,
Support

Jul 01 2010 17:43
Q: Kathryn at Gwens
Why is this happening and what can I do to prevent it?
Jul 01 2010 17:45

A: Support24
Hello,

If your FTP Client is not able to control the number of initiated connections we assume that this could be caused by a bug at the application. At the present moment you have only one active connection to the server.

Best regards,
Support

-end support transcript-

Subsequently, I got up to the max # of connections again.

Change History (6)

comment:1 Changed 9 years ago by Tim Kosse

Status: newmoreinfo

The connection limiting in FileZilla works as advertised. Your problems are most likely caused by some broken router and/or firewall silently dropping connections.

Do you happen to see connection timeouts while being connected to that server?

comment:2 Changed 9 years ago by KathrynBassett

No connection timeouts, just the same type of error as above. I wouldn't think that there was an issue with a broken router or the firewall, as I don't have any problems with Dreamweaver's ftp or the free version of CoffeeCup or with FireFTP (Firefox add-in). I just happen to like the interface of FileZilla better than CC and FireFTP, and Dreamweaver is much, much slower in uploading (takes 3 times as long).

comment:3 Changed 9 years ago by Tim Kosse

If you close FileZilla and wait for some time, does the problem disappear by itself?

comment:4 Changed 9 years ago by KathrynBassett

Sorry for delay in answering, was away for a week.

"If you close FileZilla and wait for some time, does the problem disappear by itself?"

I don't know. The whole point is for this to get done unattended. I don't have time to babysit the uploading. I go away from the computer for some time, and when I come back it has the above errors and I have to start all over again. Since you don't yet allow synchronizing, the entire thing has to be done again.

BTW, why was the request for synchronizing closed as a duplicate? http://trac.filezilla-project.org/ticket/5434

I can't find that was duplicated anyplace after version 3, the only requests I can find are prior to version 3 and it isn't included in version 3, so should still be a valid request. So why was it closed?

comment:5 Changed 9 years ago by KathrynBassett

Babysitting the transfer this time, with it now doing a log.
http://www.babcockancestry.com/storage/filezilla.log
2010-08-17 10:56:05 is the location of the first "Response: 530" with still about 2000 files in the queue. While it was working, I got the message that there is an update to the program which I'm going to download now, but I didn't see anything about this problem addressed in the description of bugfixes/changes.

comment:6 Changed 8 years ago by Henrik

Cc: h.danielsson@… added
Operating system version: Vista SP2 32bitVista SP2 32bit, Ubuntu 10.04 64bit
Status: moreinfonew

I'm also getting more connections than I want on Ubuntu 11.04 with FileZilla 3.3.5.1.
If I set the max number of transfers on the global settings it works as it should, but the host-specific setting is ignored.

How to reproduce:
Set the "global" max number of transfers to 8.
Set the site-specific max number of transfer to 5 for the host you're going to connect to.
Connect to the host and queue a bunch of files.
Start processing the queue and notice how the log records 8 connection attempts (DNS lookups at the very beginning, then actual connections).

The problem appears the first time FileZilla is used after reboots, months since the last connection to the same host. It does not go away after restarts/reboots or any amount of time.

Note: See TracTickets for help on using tickets.